AutoCAD 2010 Help

AutoCAD 2010

Need help fast?

  • Use the three tabs in the upper-left to navigate through the Help system.
  • Post questions on Autodesk discussion groups.
  • Open the Learning Resources web page for additional help, including the support database, tips, and tutorials.

Cue Cards

The cards included in the product have also been made available in PDF format. Each card includes a handy summary of the essential functions of each new feature in AutoCAD 2010 along with resources for additional information.(help\newfeatures\acad_cue_cards_2010.pdf)
General Information

Help Files

User's Guide

Command Reference

Driver and Peripheral Guide

Installation and Licensing Guides

Customization Guide

AutoLISP, Visual LISP, and DXF

ActiveX Automation and VBA
Resources on the Web


User's Guide

The User's Guide explains AutoCAD concepts, provides step-by-step procedures and associated commands, and includes a glossary with definitions of AutoCAD terms. To browse the User's Guide, use the Contents tab on the left side of the Help window.

  • Get Information
  • The User Interface
  • Start, Organize, and Save a Drawing
  • Control the Drawing Views
  • Choose a Work Process Before You Begin
  • Create and Modify Objects
  • Work with 3D Models
  • Annotate Drawings
  • Plot and Publish Drawings
  • Share Data Between Drawings and Applications
  • Work with Other People and Organizations
  • Create Realistic Images and Graphics
  • Glossary
General Information

Help Files

User's Guide

Command Reference

Driver and Peripheral Guide


Command Reference

The Command Reference provides a comprehensive reference to all AutoCAD commands and system variables. To browse the Command Reference, use the Contents tab on the left side of the Help window.

  • Commands
  • Command Modifiers
  • System Variables
  • Utilities
General Information

Help Files

User's Guide


Driver and Peripheral Guide

The Driver and Peripheral Guide provides information about plotters and plotter configuration, pointing devices, AutoSpool, and external database configuration. To browse the Driver and Peripheral Guide, use the Contents tab on the left side of the Help window.

  • Pointing Devices
  • Use Plotters and Printers
  • Set Device-Specific Configurations
  • Configure for File Output
  • Configure External Databases
  • Driver Custom Properties Reference
General Information

Help Files

User's Guide


Installation and Licensing Guides

The installation and licensing guides provide information about installing and activating AutoCAD on a workstation, as well as licensing and deploying AutoCAD on a network. To browse the installation and licensing guides, use the Contents tab on the left side of the Help window.

  • Installation
    • Stand-Alone Installation Guide
    • Network Administrator's Guide
  • Licensing
    • Stand-Alone Licensing Guide
    • Network Licensing Guide
    • License Borrowing Guide
General Information

Help Files

User's Guide


Installation

The installation documentation provides information about installing and activating AutoCAD on a workstation, as well as deploying AutoCAD from a network location. To browse the stand-alone and network installation documentation, use the Contents tab on the left side of the Help window.

  • Stand-Alone Installation Guide
  • Network Administrator's Guide
General Information

Help Files

User's Guide


Stand-Alone Installation Guide

The Stand-Alone Installation Guide provides instructions for installing and activating AutoCAD on an individual computer. To browse the stand-alone installation documentation, use the Contents tab on the left side of the Help window.

  • Quick Start to Stand-Alone Installation
  • Migrating and Customizing
  • Installation Troubleshooting
General Information

Help Files

User's Guide


Network Administrator's Guide

The Network Administrator's Guide provides instructions for deploying AutoCAD on a network. To browse the Network Administrator's Guide, use the Contents tab on the left side of the Help window.

  • Getting Started with Network Administration and Deployment
  • Setting Up a Deployment
  • Use Scripts to Deploy the Program
  • Use Group Policies to Install a Deployment
  • Use Microsoft System Center Configuration Manager to Install a Deployment
  • Distribute the Product Using Imaging Software
  • Installation Troubleshooting
  • Glossary
General Information

Help Files

User's Guide


Licensing

The licensing documentation provides information about licensing AutoCAD on a workstation or on a network. To browse the licensing documentation, use the Contents tab on the left side of the Help window.

  • Stand-Alone Licensing Guide
  • Network Licensing Guide
  • License Borrowing Guide
General Information

Help Files

User's Guide


Stand-Alone Licensing Guide

The Stand-Alone Licensing Guide provides information and instructions for managing an Autodesk stand-alone license on a workstation. To browse the Stand-Alone Licensing Guide, use the Contents tab on the left side of the Help window.

  • Quick Start to Autodesk Stand-Alone Licensing
  • License Transfer Utility
  • Troubleshoot a License Error
General Information

Help Files

User's Guide


Network Licensing Guide

The Network Licensing Guide provides information about installing the Network License Manager on a network. To browse the Network Licensing Guide, use the Contents tab on the left side of the Help window.

  • Quick Start to Autodesk Network Licensing
  • Introduction to Autodesk Network Licensing
  • Plan Your Network Licensing
  • Network Licensing Tools
  • Glossary
General Information

Help Files

User's Guide


License Borrowing Guide

The License Borrowing Guide provides instructions for borrowing an AutoCAD license from a network.

  • License Borrowing
  • BORROWLICENSE Command
  • RETURNLICENSE Command
General Information

Help Files

User's Guide


Customization Guide

The Customization Guide tells experienced users how to customize AutoCAD. To browse the Customization Guide, use the Contents tab on the left side of the Help window.

  • Basic Customization
  • Custom Linetypes
  • Custom Hatch Patterns
  • Customize the User Interface
  • DIESEL
  • Slides and Command Scripts
  • Introduction to Programming Interfaces
  • Shapes and Shape Fonts
General Information

Help Files

User's Guide


AutoLISP, Visual LISP, and DXF

You can access the AutoLISP, Visual LISP, and DXF documentation by choosing Developer Help from the AutoCAD Help menu.

  • AutoLISP Reference. Provides a comprehensive reference for AutoLISP, a full-featured, interpretive programming language that you can use to call AutoCAD commands, system variables, and dialog boxes.
  • AutoLISP Developer's Guide. Provides information for using the Visual LISP interactive development environment to develop and test AutoLISP programs. Also describes how to use the AutoLISP extensions provided with Visual LISP to create ActiveX automations.
  • AutoLISP Tutorial. Provides step-by-step lessons that teach you how to use Visual LISP to develop an AutoLISP application.
  • DXF Reference. Provides a comprehensive reference to the DXF file format.
General Information

Help Files

User's Guide


ActiveX Automation and VBA

You can access the ActiveX Automation and VBA documentation by choosing Developer Help from the AutoCAD Help menu.

  • ActiveX and VBA Developer's Guide. Explains how to use ActiveX and VBA to develop an application to customize AutoCAD. Includes sample code and step-by-step procedures.
  • ActiveX and VBA Reference. Provides a reference to the ActiveX object model and its associated interface components.
  • Sheet Set Objects Reference. Provides a reference to the objects available for Sheet Set Manager.
  • Connectivity Automation Reference. Provides a reference to the Connectivity Automation object model and its associated interface components.
General Information

Help Files

User's Guide


Show Me Animations

Many topics in the Help system provide animated examples. You can access topics containing "Show Me" animations from the following list.

To run the animation in the topic, click the movie projector icon and then click the Play button:

Navigate a Drawing as You Work

Switch Workspaces

Reorient the Current View

Navigate with SteeringWheels

Rewind to Restore Previous Views

Use ShowMotion to Transition to a Saved View

Find a Dashboard Command on the Ribbon

Get Information

Display Tooltips for Commands

Receive New Information Notifications

Add an RSS Feed

Create Better Tables

Break Tables into Multiple Parts

Insert Table Data Automatically

Modify Dimensions and Leaders

Adjust the Distance Between Dimensions

Add a Break to a Dimension

Add a Jog to a Linear Dimension

Align Multileaders

Work with Blocks

Test Blocks In Block Editor

Overview of Constraint Parameters

Create Solids and Surfaces

Create and Modify a Cone

Create a Polysolid from a Polyline

Sweep a Circle Along a 3D Path

Create a Solid by Lofting Through Cross Sections

Create and Modify a Helix

Modify 3D Objects

Use Grips to Modify 3D Subobjects

Press and Pull a Bounded Area

Imprint and Modify a Face

Subtract a Solid from a Surface

Use the Dynamic UCS with Solid Models

Add a Jog to a Section Object

Publish to a 3D Printer

Work with Mesh Objects

Mesh Modeling Overview

Smooth a Mesh Object

Convert Between 3D Objects

Refine a Mesh Face

Crease a Mesh Face

Split a Mesh Face

Use Visual Tools with Drawings

Walk Through a Drawing

Adjust Sky Properties

Define the Geographic Location for a DWG File

Work with the Action Recorder

Record an Action Macro

Play Back an Action Macro

Manage Action Macros

Insert Base Points

Customize the User Interface

Migrate and Transfer Customizations

Transfer Dashboard Panels to Ribbon Panels

Load a Partial CUIx File

Create a Command

Create a Custom Image and Assign It to a Command

Create a Toolbar

Customize the Quick Access Toolbar (QAT)

Create a Pull-Down Menu

Create a Shortcut Key

Create a Ribbon Panel

Create a Ribbon Tab

Customize Ribbon Contextual Tab States

Create a Workspace


AutoCAD 2010 Learning Resources

1 Learn AutoCAD 2010 Basics
Use these resources to help you get started using AutoCAD 2010.
User's Guide New Features Workshop Tutorials Customization
Learn in depth about the commands, terminology, and workflows using the AutoCAD 2008 Help. | See what's new for this release with demos, tutorials, and feature overviews. | Learn the toolsets and features that AutoCAD 2010 offers with these step-by-step tutorials. | Use the API Reference to customize AutoCAD 2010.
2 Additional Learning Resources
Use these resources to help you continue learning and building your skills with AutoCAD 2010.
Support Knowledge Database User Groups Training Resources
Learn proven techniques from industry experts working with AutoCAD 2010. | Exchange knowledge with other AutoCAD 2010 users in these online forums. | Learn AutoCAD 2010 at your own pace from a wide range of learning tools.


Copyrights and Trademarks

© 2009 Autodesk, Inc. All rights reserved. Except as otherwise permitted by Autodesk, Inc., this publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

Certain materials included in this publication are reprinted with the permission of the copyright holder.

Trademarks

The following are registered trademarks or trademarks of Autodesk, Inc., in the USA and other countries: 3DEC (design/logo), 3December, 3December.com, 3ds Max, ADI, Alias, Alias (swirl design/logo), AliasStudio, Alias|Wavefront (design/logo), ATC, AUGI, AutoCAD, AutoCAD Learning Assistance, AutoCAD LT, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk, Autodesk Envision, Autodesk Insight, Autodesk Intent, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, AutoLISP, AutoSnap, AutoSketch, AutoTrack, Backdraft, Built with ObjectARX (logo), Burn, Buzzsaw, CAiCE, Can You Imagine, Character Studio, Cinestream, Civil 3D, Cleaner, Cleaner Central, ClearScale, Colour Warper, Combustion, Communication Specification, Constructware, Content Explorer, Create>what’s>Next> (design/logo), Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, DesignStudio, Design|Studio (design/logo), Design Web Format, Discreet, DWF, DWG, DWG (logo), DWG Extreme, DWG TrueConvert, DWG TrueView, DXF, Ecotect, Exposure, Extending the Design Team, Face Robot, FBX, Filmbox, Fire, Flame, Flint, FMDesktop, Freewheel, Frost, GDX Driver, Gmax, Green Building Studio, Heads-up Design, Heidi, HumanIK, IDEA Server, i-drop, ImageModeler, iMOUT, Incinerator, Inferno, Inventor, Inventor LT, Kaydara, Kaydara (design/logo), Kynapse, Kynogon, LandXplorer, LocationLogic, Lustre, Matchmover, Maya, Mechanical Desktop, Moonbox, MotionBuilder, Movimento, Mudbox, NavisWorks, ObjectARX, ObjectDBX, Open Reality, Opticore, Opticore Opus, PolarSnap, PortfolioWall, Powered with Autodesk Technology, Productstream, ProjectPoint, ProMaterials, RasterDWG, Reactor, RealDWG, Real-time Roto, REALVIZ, Recognize, Render Queue, Retimer,Reveal, Revit, Showcase, ShowMotion, SketchBook, Smoke, Softimage, Softimage|XSI (design/logo), SteeringWheels, Stitcher, Stone, StudioTools, Topobase, Toxik, TrustedDWG, ViewCube, Visual, Visual Construction, Visual Drainage, Visual Landscape, Visual Survey, Visual Toolbox, Visual LISP, Voice Reality, Volo, Vtour, Wire, Wiretap, WiretapCentral, XSI, and XSI (design/logo).

The following are registered trademarks or trademarks of Autodesk Canada Co. in the USA and/or Canada and other countries: Backburner, Multi-Master Editing, River, and Sparks.

The following are registered trademarks or trademarks of Moldflow Corp. in the USA and/or other countries: Moldflow, MPA, MPA (design/logo), Moldflow Plastics Advisers, MPI, MPI (design/logo), Moldflow Plastics Insight, MPX, MPX (design/logo), Moldflow Plastics Xpert.

All other brand names, product names or trademarks belong to their respective holders.

Disclaimer

THIS PUBLICATION AND THE INFORMATION CONTAINED HEREIN IS MADE AVAILABLE BY AUTODESK, INC. “AS IS.” AUTODESK, INC., DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE REGARDING THESE MATERIALS.